import { ElementRef, OnInit } from '@angular/core';
import { IDataService } from '../../services/data/data-service.interface';
export declare class DynamicColumnsDirective implements OnInit {
    constructor(el: ElementRef);
    dataService: IDataService;
    name: string;
    link: string;
    value: string;
    table: any;
    ngOnInit(): void;
    refreshColumnVisibility(): void;
}
